#!/usr/bin/env bash

# more info see https://github.com/BoD/android-contentprovider-generator/blob/master/sample-app/etc/acpg/person.json
out_path="../src/main/java/"
out_full_package_path=${out_path}"com/kfzs/duanduan/datashare/provider"

if [ -d ${out_full_package_path} ]; then
    rm -rf ${out_full_package_path}
    sleep 2
    echo "remove old out finish!"
fi

run_shell_path=$(cd `dirname $0`; pwd)

${run_shell_path}/acpg-cli.sh -i ${run_shell_path} -o ${out_path}